/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Кнопка */
.donate-hover .elementor-button{
  position: relative;
  overflow: hidden;
  border: 0;
  background-color: #e03f45 !important; /* красный */

  /* фиолетовый треугольник в правом нижнем углу (до hover) */
  background-image: linear-gradient(135deg, transparent 50%, #74469f 0);
  background-repeat: no-repeat;
  background-position: 100% 100%;
  background-size: 16px 16px; /* размер уголка */
}

/* Текст поверх всего */
.donate-hover .elementor-button .elementor-button-text{
  position: relative;
  z-index: 3;
}

/* Фиолетовая “шторка” с диагональным краем */
.donate-hover .elementor-button::after{
  content: "";
  position: absolute;
  top: 0;
  left: -35%;
  width: 170%;
  height: 100%;
  background: #74469f;
  z-index: 2;

  /* старт: шторка справа (почти не видна) */
  transform: translateX(120%) skewX(-28deg);
  will-change: transform;

  /* очень плавно как в видео */
  transition: transform 0.65s cubic-bezier(.22, 1, .36, 1);
}

.donate-hover .elementor-button:hover::after{
  /* финиш: перекрывает кнопку, диагональ уезжает влево */
  transform: translateX(0%) skewX(-28deg);
}

.donate-hover-footer .elementor-button{
  position: relative;
  overflow: hidden;
  border: 0;
  background-color: #fdb975 !important; /* красный */

  /* фиолетовый треугольник в правом нижнем углу (до hover) */
  background-image: linear-gradient(135deg, transparent 50%, #DF3F45 0);
  background-repeat: no-repeat;
  background-position: 100% 100%;
  background-size: 16px 16px; /* размер уголка */
}

/* Текст поверх всего */
.donate-hover-footer .elementor-button .elementor-button-text{
  position: relative;
  z-index: 3;
}

/* Фиолетовая “шторка” с диагональным краем */
.donate-hover-footer .elementor-button::after{
  content: "";
  position: absolute;
  top: 0;
  left: -35%;
  width: 170%;
  height: 100%;
  background: #DF3F45;
  z-index: 2;

  /* старт: шторка справа (почти не видна) */
  transform: translateX(120%) skewX(-28deg);
  will-change: transform;

  /* очень плавно как в видео */
  transition: transform 0.65s cubic-bezier(.22, 1, .36, 1);
}

.donate-hover-footer .elementor-button:hover::after{
  /* финиш: перекрывает кнопку, диагональ уезжает влево */
  transform: translateX(0%) skewX(-28deg);
}

#donate-hover-footer .elementor-button{
  position: relative;
  overflow: hidden;
  border: 0;
  background-color: #fdb975 !important; /* красный */

  /* фиолетовый треугольник в правом нижнем углу (до hover) */
  background-image: linear-gradient(135deg, transparent 50%, #DF3F45 0);
  background-repeat: no-repeat;
  background-position: 100% 100%;
  background-size: 16px 16px; /* размер уголка */
}

/* Текст поверх всего */
#donate-hover-footer .elementor-button .elementor-button-text{
  position: relative;
  z-index: 3;
}

/* Фиолетовая “шторка” с диагональным краем */
#donate-hover-footer .elementor-button::after{
  content: "";
  position: absolute;
  top: 0;
  left: -35%;
  width: 170%;
  height: 100%;
  background: #DF3F45;
  z-index: 2;

  /* старт: шторка справа (почти не видна) */
  transform: translateX(120%) skewX(-28deg);
  will-change: transform;

  /* очень плавно как в видео */
  transition: transform 0.65s cubic-bezier(.22, 1, .36, 1);
}

#donate-hover-footer .elementor-button:hover::after{
  /* финиш: перекрывает кнопку, диагональ уезжает влево */
  transform: translateX(0%) skewX(-28deg);
}




.elementor-15 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang--active a, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang--active a {
	border: 2px solid #74469f!important; 
    width: 50px!important;
    height: 50px!important;
	    display: flex;
    justify-content: center;
    align-items: center;
}

.elementor-15 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang a, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang a {
	border: 2px solid #b79ed1;  
    width: 50px!important;
    height: 50px!important;
	    display: flex;
    justify-content: center;
    align-items: center;
		padding-left: 0px;
	transition: all 0.25s ease-in-out;
}

.elementor-15 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang a:hover, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang a:hover{
	border: 2px solid #74469f;  
    width: 50px!important;
    height: 50px!important;
	    display: flex;
    justify-content: center;
    align-items: center;
		padding-left: 0px;
}

.elementor-15 .elementor-element.elementor-element-fdf233d .cpel-switcher__code, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__code {
	padding-left: 0px;
}


.elementor-15 .elementor-element.elementor-element-5cacb3b .cpel-switcher__lang--active  a, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang--active a{
	border: 2px solid #74469f!important; 
    width: 50px!important;
    height: 50px!important;
	    display: flex;
    justify-content: center;
    align-items: center;
}

.elementor-15 .elementor-element.elementor-element-5cacb3b .cpel-switcher__lang a, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__lang a{
	border: 2px solid #9677b5;  
    width: 50px!important;
    height: 50px!important;
	    display: flex;
    justify-content: center;
    align-items: center;
		padding-left: 0px;
}

.elementor-15 .elementor-element.elementor-element-5cacb3b .cpel-switcher__code, .elementor-766 .elementor-element.elementor-element-fdf233d .cpel-switcher__code {
	padding-left: 0px;
}


.my-social-header img{
	transition: all 0.25s ease-in-out;
} 
.my-social-header img:hover{
	transform: scale(1.3);
}

.my-link-bread  { 
	display: inline;
  background-image: linear-gradient(#ffb974, #ffb974);
  background-repeat: no-repeat;
  background-size: 100% 6px;   
  background-position: 0 92%; 
  padding-bottom: 4px;
	transition: all 0.25s ease-in-out;
}

.my-link-bread:hover  { 
  background-image: none;

}

.my-link-text a{
	display: inline;
  background-image: linear-gradient(#ffb974, #ffb974);
  background-repeat: no-repeat;
  background-size: 100% 6px;   
  background-position: 0 92%; 
  padding-bottom: 4px;
	transition: all 0.25s ease-in-out;
	color: #74469f;
	font-weight: 700;
}

.my-link-text a:hover {
  background-image: none;
}

.dash-line{
  display: inline-block;
  width: 22px;
  height: 4px;
  background: currentColor;
  vertical-align: middle;

}

.elementor-button-icon {
	z-index: 22;
}
